Can no longer view deleted board in Special:Undelete
Closed, ResolvedPublic

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Unbreak Now!.
Mattflaschen-WMF added a subscriber: Mattflaschen-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2015, 4:30 PM
DannyH lowered the priority of this task from Unbreak Now! to Normal.Aug 31 2015, 5:19 PM
DannyH added a subscriber: DannyH.
Catrope raised the priority of this task from Normal to High.Sep 1 2015, 5:55 PM
Catrope set Security to None.

Change 236016 had a related patch set uploaded (by Matthias Mullie):
[WIP] Show real output instead of placeholder HTML

https://gerrit.wikimedia.org/r/236016

Change 236016 merged by jenkins-bot:
Show real output instead of placeholder HTML

https://gerrit.wikimedia.org/r/236016

Checked in betalabs - one case seems still to be producing an error

[81586032] /w/index.php?title=Special:Undelete&action=submit MWException from line 791 of /srv/mediawiki/php-master/includes/diff/DifferenceEngine.php: Diff not implemented for Flow\Content\BoardContent; override generateContentDiffBody to fix this.

Backtrace:

#0 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(1087): DifferenceEngine->generateContentDiffBody(WikitextContent, Flow\Content\BoardContent)
#1 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(953): SpecialUndelete->showDiff(Revision, Revision)
#2 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(807): SpecialUndelete->showRevision(string)
#3 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(384): SpecialUndelete->execute(NULL)
#4 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(553): SpecialPage->run(NULL)
#5 /srv/mediawiki/php-master/includes/MediaWiki.php(249): SpecialPageFactory::executePath(Title, RequestContext)
#6 /srv/mediawiki/php-master/includes/MediaWiki.php(682): MediaWiki->performRequest()
#7 /srv/mediawiki/php-master/includes/MediaWiki.php(476): MediaWiki->main()
#8 /srv/mediawiki/php-master/index.php(41): MediaWiki->run()
#9 /srv/mediawiki/w/index.php(3): include(string)
#10 {main}

It might be a specific case that can be split into a separate bug. The following cases do not give any errors:

  • normal (not Talk pages)
  • Talk pages (not LQT)
  • Flow pages
  1. Clicking 'Show changes' on http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Undelete&target=Talk%3AET11&timestamp=20150710225615 gives http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Undelete&action=submit

[66c40915] /w/index.php?title=Special:Undelete&action=submit MWException from line 786 of /srv/mediawiki/php-master/includes/diff/DifferenceEngine.php: Diff not implemented for Flow\Content\BoardContent; override generateContentDiffBody to fix this.

Backtrace:

#0 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(1087): DifferenceEngine->generateContentDiffBody(Flow\Content\BoardContent, Flow\Content\BoardContent)
#1 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(953): SpecialUndelete->showDiff(Revision, Revision)
#2 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(807): SpecialUndelete->showRevision(string)
#3 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(384): SpecialUndelete->execute(NULL)
#4 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(553): SpecialPage->run(NULL)
#5 /srv/mediawiki/php-master/includes/MediaWiki.php(249): SpecialPageFactory::executePath(Title, RequestContext)
#6 /srv/mediawiki/php-master/includes/MediaWiki.php(682): MediaWiki->performRequest()
#7 /srv/mediawiki/php-master/includes/MediaWiki.php(476): MediaWiki->main()
#8 /srv/mediawiki/php-master/index.php(41): MediaWiki->run()
#9 /srv/mediawiki/w/index.php(3): include(string)
#10 {main}

  1. There is also T113668.
  1. Deleting and viewing/restoring another user's User talk page seems to produce a specific error

Error
An error has occurred.

Return to Main Page

[ebd47fb1] /w/index.php?title=Special:Undelete&action=submit Flow\Exception\FlowException from line 88 of /srv/mediawiki/php-master/extensions/Flow/includes/BoardMover.php: Main discussion workflow for 131863 not found

Backtrace:

#0 /srv/mediawiki/php-master/extensions/Flow/Hooks.php(1560): Flow\BoardMover->prepareMove(integer, Title)
#1 /srv/mediawiki/php-master/includes/Hooks.php(204): FlowHooks::onArticleUndelete(Title, boolean, string, integer)
#2 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(636): Hooks::run(string, array)
#3 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(385): PageArchive->undeleteRevisions(array, boolean, string)
#4 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(1655): PageArchive->undelete(array, string, array, boolean, User)
#5 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(825): SpecialUndelete->undelete()
#6 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(384): SpecialUndelete->execute(NULL)
#7 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(553): SpecialPage->run(NULL)
#8 /srv/mediawiki/php-master/includes/MediaWiki.php(249): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/php-master/includes/MediaWiki.php(682): MediaWiki->performRequest()
#10 /srv/mediawiki/php-master/includes/MediaWiki.php(476): MediaWiki->main()
#11 /srv/mediawiki/php-master/index.php(41): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

  1. Deleting and viewing/restoring another user's User talk page seems to produce a specific error

I can't reproduce it locally. What did you do exactly?

/srv/mediawiki/php-master/includes/diff/DifferenceEngine.php: Diff not implemented for Flow\Content\BoardContent; override generateContentDiffBody to fix this.

Based by this message, it is unlikely that this ever worked. I would suggest creating a new ticket for this so we can define what diff really means at the board level and prioritize accordingly.

All issues in my comments seem to be addressed by already filed tickets

1

T110679

3

T104591
Deleted wikitext Talk page cannot be restored after EnableFlow creates the same page

Per @DannyH T113668 'View and restore deleted pages' displays broken layout for deleted Flow pages- is a blocker for this ticket and should be fixed.

  • T113668 'View and restore deleted pages' displays broken layout for deleted Flow pages- which was a blocker for this ticket is fixed.

'View and restore deleted pages': posting a new topic, re-sorting, and Edit board actions on a page are present but don't work

  • The following ticket is still Open

T110679
MediaWiki error for deleted Flow board, when clicking 'Show changes'.

  • Any clicking on 'Show changes' will give the error
[4ab6413c] /w/index.php?title=Special:Undelete&action=submit MWException from line 786 of /srv/mediawiki/php-master/includes/diff/DifferenceEngine.php: Diff not implemented for Flow\Content\BoardContent; override generateContentDiffBody to fix this.

Backtrace:

#0 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(1087): DifferenceEngine->generateContentDiffBody(Flow\Content\BoardContent, Flow\Content\BoardContent)
#1 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(953): SpecialUndelete->showDiff(Revision, Revision)
#2 /srv/mediawiki/php-master/includes/specials/SpecialUndelete.php(807): SpecialUndelete->showRevision(string)
#3 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(384): SpecialUndelete->execute(NULL)
#4 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(553): SpecialPage->run(NULL)
#5 /srv/mediawiki/php-master/includes/MediaWiki.php(249): SpecialPageFactory::executePath(Title, RequestContext)
#6 /srv/mediawiki/php-master/includes/MediaWiki.php(682): MediaWiki->performRequest()
#7 /srv/mediawiki/php-master/includes/MediaWiki.php(476): MediaWiki->main()
#8 /srv/mediawiki/php-master/index.php(41): MediaWiki->run()
#9 /srv/mediawiki/w/index.php(3): include(string)
#10 {main}
DannyH closed this task as Resolved.Sep 30 2015, 4:56 PM